# Refunds

These endpoints allow you to handle registration, posting, and retrieval of refunds associated with original transaction account information.

## Initiate a refund

 - [POST /refunds](https://docs.token.io/products/tpp/api/reference/refunds/initiaterefund.md): The POST /refunds endpoint initiates a refund. After the refund is settled, the refund status of the original transfer will be updated.  The debtor field can be optional if you're using the debtor in registration. The creditor field can be optional if the information is available in the original payment.

## Get refunds

 - [GET /refunds](https://docs.token.io/products/tpp/api/reference/refunds/getrefunds.md): The GET /refunds endpoint retrieves a complete or filtered list of refunds.

## Get a refund

 - [GET /refunds/{id}](https://docs.token.io/products/tpp/api/reference/refunds/getrefund.md): The GET /refunds/{id} endpoint retrieves a given refund.

## Get all refunds by transfer

 - [GET /transfers/{id}/refunds](https://docs.token.io/products/tpp/api/reference/refunds/gettransferrefunds.md): The GET /transfers/{id}/refunds endpoint retrieves all refunds associated with a given transfer.

